Skip to main content
GET
/
videos
/
{video_id}
Get a video
curl --request GET \
  --url https://api.creatoraudit.com/v2/videos/{video_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "external_id": "<string>",
    "type": "video",
    "shortcode": "<string>",
    "is_active": true,
    "scrape_interval_hours": 24,
    "metadata": {},
    "added_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "first_scrape_time": "2023-11-07T05:31:56Z",
    "last_scrape_time": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "create_time": "2023-11-07T05:31:56Z",
    "media_type": "<string>",
    "duration": 123,
    "is_unavailable": true,
    "cover_image_url": "<string>",
    "cover_image_url_original": "<string>",
    "video_url": "<string>",
    "video_url_original": "<string>",
    "view_count": 123,
    "like_count": 123,
    "comment_count": 123,
    "share_count": 123,
    "play_count": 123,
    "saved_count": 123,
    "total_views": 123,
    "total_plays": 123,
    "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "account_username": "<string>",
    "platform_account_id": "<string>",
    "platform_data": {}
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

video_id
string<uuid>
required

Tracked video UUID.

Response

Successful Response

data
VideoResponse · object
required

A tracked post/video with its content fields and latest metrics.